Update customer by ID
Update a single customer by ID
Authorization
x-api-key API key required for authentication.
Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.
In: header
Path Parameters
Customer ID
Request Body
application/json
PATCH /v2/customers/:id Request body
TypeScript Definitions
Use the request body type in TypeScript.
Customer date of birth. Canonical format: YYYY-MM-DD
Medicare Part A effective date. Canonical format: YYYY-MM-DD
Medicare Part B effective date. Canonical format: YYYY-MM-DD
Desired coverage start date. Canonical format: YYYY-MM-DD
Customer enrollment date. Canonical format: YYYY-MM-DD
Customer coverage effective date. Canonical format: YYYY-MM-DD
Customer last contact time. ISO 8601 timestamp
Customer conversion time. ISO 8601 timestamp
Customer deletion time. ISO 8601 timestamp
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.carecycle.ai/v2/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e",
"updatedAt": "2019-08-24T14:15:22Z",
"updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e",
"clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
"clientCustomerId": "string",
"status": "Lead",
"qualificationStatus": "Qualified",
"intent": "High",
"isDecisionMaker": true,
"disqualificationReason": "string",
"productInterest": "string",
"productFamily": "string",
"salutation": "string",
"suffix": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"preferredName": "string",
"callerId": "string",
"lineType": "landline",
"email": "string",
"dateOfBirth": "2019-08-24",
"language": "string",
"ethnicity": "string",
"gender": "Male",
"maritalStatus": "Single",
"postalCode": "string",
"timezone": "string",
"state": "string",
"city": "string",
"county": "string",
"address": "string",
"address2": "string",
"mbiNumber": "string",
"medicareCard": true,
"medicarePartADate": "2019-08-24",
"medicarePartBDate": "2019-08-24",
"medicaid": true,
"medicaidNumber": "string",
"socialSecurityDisability": true,
"veteran": true,
"vaNumber": "string",
"healthSherpaCustomerId": "string",
"householdIncome": -2147483648,
"annualIncome": -2147483648,
"filingStatus": "string",
"dependentCount": -2147483648,
"subsidyAmount": -2147483648,
"subsidyEligible": true,
"existingCoverage": "None",
"existingCoveragePlanName": "string",
"existingCoverageCarrier": "string",
"desiredCoverageStartDate": "2019-08-24",
"currentSourceId": "92ff85a4-bd9b-47e4-9ade-cbb65530f3f4",
"originalSourceId": "a3edc39e-7854-4380-8541-1f199004a6a0",
"agentName": "string",
"agentNpn": -2147483648,
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"carrierName": "string",
"planName": "string",
"planCode": "string",
"enrollmentDate": "2019-08-24",
"effectiveDate": "2019-08-24",
"carrierAssignedCustomerId": "string",
"doNotCall": true,
"doNotSMS": true,
"doNotEmail": true,
"doNotMail": true,
"lastContactedAt": "2019-08-24T14:15:22Z",
"convertedAt": "2019-08-24T14:15:22Z",
"testCustomer": true
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "VALIDATION_ERROR",
"errors": [
{
"path": [
"string"
],
"message": "string",
"expected": "string",
"received": "string",
"code": "string"
}
],
"failedRecords": [
{
"index": 0,
"phoneNumber": "string",
"firstName": "string",
"lastName": "string",
"externalId": "string"
}
]
}{
"message": "string",
"code": "string",
"retryAfter": 0
}{
"message": "string",
"code": "string"
}